2017-07-25 01:00 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000021Cheat Enginepublic2008-01-14 04:08
Reportercesilent1 
Assigned ToDark Byte 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000021: Speedhack crashes Cheatengine & Ultima Online
DescriptionThought I'd submit an offical bug report Darkbyte:



Once attaching UO to CE 5.4 and checking 'enable speedhack' UO crashes and closes and cheatengine locks up, having to be closed.

I did reboot after installing 5.4. I had v5.3 on before, but uninstalled it fully before installing v5.4.

After trying v5.4 and noticed it crashing, (and I uninstalled/reinstalled it twice,) I put 5.3 back on and v5.3 still worked fine.

I hear 5.4 is smoother so I really wanna try it, let me know if I can try anything to test for you, my system is an AMD 1.8GHz w/ 512MB DDR1 RAM, and a GeForce 3 128MB AGP card.

Once "enable speedhack" is checked, it completely locks up, and UO closes... the "set speed" and "sleeptime" buttons/areas do not appear at all, and cheatengine is froze. It's almost like the missing areas go behind the foreground or something.

I have also tried attaching it to UO with both "attach to process" and "create process" with the same results. I'm sure I'm attaching it to the correct .exe it works fine in 5.3 when I uninstall 5.4 and revert back to 5.3 (rebooting of course) everything works fine on 5.3 :/

Note: I have a friend that says 5.4 works completely fine for him... no issues with Speedhack. But it's doing this for me and I'm on a fairly fresh formatted system with no viruses or anything stupid, keep a clean system (but dont have virus software running with this at all, ever, I manually scan my system only... no auto-scans running or any of that crap.)

I've tried loading it with and without third part programs such as UOAssist/Razor and the effect is the same.

Let me know if there's anything I can do to test or fix it. Thanks!
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000034

Dark Byte (developer)

tried rebooting and install ce to a different folder than the default? E.g if you used speedhack before installing ce 5.4 it won't replace the old file since it's still in use

~0000036

cesilent1 (reporter)

Aye, I've rebooted many times, and tried installing CE 5.4 to completely different directories, not the default. Uninstalled/reinstalled both versions, did a regclean/defrag, all with the same results. :/

~0000039

Dark Byte (developer)

Cheat engine 5.4 has a start menu item named "reset settings"
If you run it and reboot, do you still get the same problem afterwards? (this effectively removes all previous settings of CE and makes it as new, uninstall usually leaves that intact)

~0000040

cesilent1 (reporter)

Last edited: 2008-01-13 04:19

The same problem still occurs, I did 'reset settings' on an install within the default directory... and tried it as well on a fresh install within a non-default directory. I fully remove cheatengine/reboot after each attempt of course

Even run a regclean once removed to ensure it gets any residual registry entries

Btw, ive tried this across more than one UO account, and with and without running UOAssist/Razor, all the same result. Exactly what happens is, cheatengine freezes, then UO closes on its own with no error, about 10 seconds later. Cheatengine then begins responding again... but the 'enable speedhack' options/settings still never appear, all that happens is, the 'enable speedhack' unclears itself, and the process is nolonger 'attached' to CE frmo the looks of it.

~0000041

administrator (administrator)

When enabling speedhack make sure you're not debugging it.
So instead of create process, or attach to process, just doubleclick on the process, or select it and press ok

~0000042

Dark Byte (developer)

try redownloading ce again and see if that one works better. Should even work when debugging

~0000044

cesilent1 (reporter)

Works splendidly, DB. Thanks. There's a lot of misconception surrounding this attach to process thing, I never knew you could just double click the process nor did most of my friends. I'll have to spread the word, thanks again.
+Notes

-Issue History
Date Modified Username Field Change
2008-01-11 20:25 cesilent1 New Issue
2008-01-12 15:02 Dark Byte Note Added: 0000034
2008-01-12 15:02 Dark Byte Status new => acknowledged
2008-01-12 21:59 cesilent1 Note Added: 0000036
2008-01-13 02:27 Dark Byte Note Added: 0000039
2008-01-13 04:13 cesilent1 Note Added: 0000040
2008-01-13 04:19 cesilent1 Note Edited: 0000040
2008-01-13 13:02 administrator Note Added: 0000041
2008-01-13 13:50 Dark Byte Status acknowledged => assigned
2008-01-13 13:50 Dark Byte Assigned To => Dark Byte
2008-01-13 13:50 Dark Byte Note Added: 0000042
2008-01-13 13:50 Dark Byte Status assigned => confirmed
2008-01-14 04:02 cesilent1 Note Added: 0000044
2008-01-14 04:08 administrator Status confirmed => assigned
2008-01-14 04:08 administrator Status assigned => resolved
2008-01-14 04:08 administrator Resolution open => fixed
+Issue History